/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */



/**
 * Le Framework de jeux JavaScript Phaser
 *
Phaser v2.0.5 - http://phaser.io - @photonstorm - (c) 2014 Photon Storm Ltd. 
https://github.com/photonstorm/phaser
http://examples.phaser.io/
 */



/**
 * Classe de préchargement de tous les éléments du jeu
 * 
 * @param  {[type]} game [description]
 * @return {[type]}      [description]
 */
playLevel = {

/**
 * Les méthodes
 * 
 * @type {Object}
 */



	/**
	 * Création de la scène du jeu,
	 * mise en place des graphismes...
	 * 
	 * @return {[type]} [description]
	 */
  	create: function()
  	{
		// affiche le titre de l'interface
		var style = {
			font: "32px Arial",
			fill: "#006f77"
		};

		// positionne le titre 
		var levelTitle = game.add.text(0, 0, "Niveau "+game.global.level+" en cours", style);
		levelTitle.align = "center";
        levelTitle.x = (game.width - levelTitle.width) / 2; 

        // affiche avec les boutons "niveau terminé ?" interface niveau en cours de jeu
		for(var i=0; i<=3; i++)
		{
			// au clic que le bouton, appel la fonction levelFinished
			var gameThumb = game.add.button(game.width/2, 90*(i+1), "game", this.levelFinished, this);
			gameThumb.anchor.setTo(0.5);
			gameThumb.frame = i;  	
		}
	},


	/**
	 * clic ou action sur un bouton de fin de niveau
	 * 
	 * @param  {[type]} button [description]
	 * @return {[type]}        [description]
	 */
	levelFinished: function(button)
	{
		// mise à jour du nombre d'étoile gagnées à ce niveau
		if(game.global.starsArray[game.global.level-1]<button.frame)
			game.global.starsArray[game.global.level-1] = button.frame;
		
		// si le joueur a terminé un niveau, débloque le niveau suivant s'il existe
		if(button.frame>0 && game.global.starsArray[game.global.level]==4 && game.global.level<game.global.starsArray.length)
			game.global.starsArray[game.global.level] = 0;	
		
		// retourne à la sélection du niveau
		game.state.start("LevelSelect");
	}
}  